Subject: Re: bug#11915: libraries that don't provide a feature or the wrong one

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Jul 2012 07:44:38 -0400

>>> * in the emacs-24 branch:
>>> bug-reference.el and map-ynp.el do not provide a feature.
>> Looks like a bug in bug-reference.el.
> This bug does not appear to be fixed yet.

Should be fixed now.

>> For map-ynp.el, I think it's normal because that file is preloaded.

I added:

> ;; Package: emacs
> to it's header.

>>> misearch.el provides `multi-isearch' instead of `misearch'.
>> That should be fixed,
> This does not appear to be fixed yet.

Should be fixed now.

>>> userlock.el, patcomp.el, forms-d2.el and forms-pass.el also
>>> don't provide a feature but it seems this intentional.
>> userlock should arguably be preloaded.
> Then it should also not be an "independent package" but be part of the
> "emacs" package just like `map-ynp.el'.

Done.

>> patcomp.el is obsolete and not worth fixing,
> Shouldn't it be moved to lisp/obsolete then (or since it was only used by
> maintainers removed right away)?  Also it should not appear in
> `package--builtins'.

It's already been moved to obsolete in trunk a while ago.

>>> However I think they then should not appear in `packages-builtins'.
>> You might be right (at least the etc/forms/*.el files shouldn't be
>> there), tho I'm not sure how important this is.
> It would be easy to make them part of the `forms' package.

Oh, I see, you're looking at the 24.1 code, but in the trunk these files
have been moved to "etc/forms" so they should not be a problem any more.

>>> * in the elpa branch:
>>> markchars.el does not provide a feature.
>> That's an oversight, yes, thank you,
> This does not appear to be fixed yet.

Should be fixed now.

        Stefan